This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 54027 - sendmail does not use system resolver
sendmail does not use system resolver
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-25 16:42 EDT by Matthew Galgoci
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-27 22:28:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 2001-09-25 16:42:24 EDT
Description of Problem:

Sendmail does not appear to use the system resolver libraries, and the 
way that sendmail does name resolution on its own has issues with the 
way that we change resolv.conf files.

It appears that when sendmail first starts, that it opens the /etc/resolv.conf
file and retains a reference to this file by inode. If the /etc/resolv.conf
file is moved to /etc/resolv.conf.bak and a new /etc/resolv.conf file is 
generated, sendmail will still reference the file that is now known as 
/etc/resolv.conf.bak

This presents problems with our network initscripts that can be configured
to specify a set of new name servers.

This problem is painfully apparent if you happen to being up a cipe interface
that specifies internal name servers in the context of a vpn that uses
rfc1918 addresses to resolve the rfc1918 addresses.

Immagine trying to use fetchmail on a laptop in this situation.

This problem first surfaced with the release of Red Hat Linux 7.0, is
present in 7.1 as well as the current beta.

Please fix sendmail.
Comment 1 Matthew Galgoci 2003-02-27 22:28:09 EST
This is a glibc-ism, not an issue with sendmail.

Note You need to log in before you can comment on or make changes to this bug.